Hi,
Attached is the diff for my jwm 2.0.1-1.1 NMU.
Note that this NMU may be a sponsored one, so in case of answers,
please also Cc: the sponsoree (mail in the changelog) too.
diff -u jwm-2.0.1/debian/changelog jwm-2.0.1/debian/changelog
--- jwm-2.0.1/debian/changelog
+++ jwm-2.0.1/debian/changelog
@@ -1,3 +1,14 @@
+jwm (2.0.1-1.1) unstable; urgency=medium
+
+ * Non Maintainer Upload.
+ * debian/jwm.postinst:
+ + Fixed postinst creation of /etc/alternatives/x-window-manager which
+ was causing package uninstallable. Thanks to Goswin von Brederlow
+ for help. (Closes: #472367)
+ * Urgency set to medium because of RC bug.
+
+ -- Kartik Mistry <[EMAIL PROTECTED]> Mon, 31 Mar 2008 10:19:39 +0530
+
jwm (2.0.1-1) unstable; urgency=low
* New upstream release (Closes: #384553
diff -u jwm-2.0.1/debian/jwm.postinst jwm-2.0.1/debian/jwm.postinst
--- jwm-2.0.1/debian/jwm.postinst
+++ jwm-2.0.1/debian/jwm.postinst
@@ -26,12 +26,10 @@
DamageControl ()
{
# jwm 0.23-2 deleted $GENERICBIN link. Make sure it's there
-
- [ -r $GENERICBIN ] && return
-
# regenerate the link
-
- ln -s /etc/alternatives/$ETCALT $GENERICBIN
+ if ! [ -L $GENERICBIN ]; then
+ ln -s /etc/alternatives/$ETCALT $GENERICBIN;
+ fi
}
Debhelper ()